php.net |  support |  documentation |  report a bug |  advanced search |  search howto |  statistics |  random bug |  login
Request #68120 Update the last version of bundled SQLite sources in windows builds
Submitted: 2014-09-30 13:01 UTC Modified: 2015-03-24 14:03 UTC
From: alejosimon at gmail dot com Assigned: ab
Status: Closed Package: PDO SQLite
PHP Version: master-Git-2014-09-30 (Git) OS: Windows 7
Private report: No CVE-ID:
 [2014-09-30 13:01 UTC] alejosimon at gmail dot com
Description:
------------
Hello, sorry but... can you upgrade to the latest sqlite internal version? (for windows buils)

Note: It is intended for version 7 of PHP, not is urgent!

... in the version 3.8.6 of sqlite they repair several some bugs and improves performance! please see http://www.sqlite.org/changes.html

THANKS!!!!!!!!!!!!!!!!!!!!
sorry for my english.

Test script:
---------------
<?php

  $pdo = new PDO( 'sqlite::memory:' ) ;

  $res = $pdo->query( 'SELECT sqlite_version()' ) ;

  print_r( $res->fetchColumn() ) ;

?>

Expected result:
----------------
3.8.6

Actual result:
--------------
3.8.4.3

Patches

Add a Patch

Pull Requests

Add a Pull Request

History

AllCommentsChangesGit/SVN commitsRelated reports
 [2014-10-25 17:34 UTC] alejosimon at gmail dot com
PLEASE!!! do not forget this update, many fixes and new features in the current version 3.8.7 !!!

http://www.sqlite.org/changes.html

thanks!
 [2014-12-05 14:52 UTC] ab@php.net
Automatic comment on behalf of ab
Revision: http://git.php.net/?p=php-src.git;a=commit;h=fccd1eda5fe440105d051f4cbaa77ced95b674f0
Log: . Fixed bug #68120 Update bundled libsqlite
 [2014-12-05 14:52 UTC] ab@php.net
-Status: Open +Status: Closed
 [2014-12-06 20:49 UTC] ab@php.net
Automatic comment on behalf of ab
Revision: http://git.php.net/?p=php-src.git;a=commit;h=fccd1eda5fe440105d051f4cbaa77ced95b674f0
Log: . Fixed bug #68120 Update bundled libsqlite
 [2015-01-08 09:33 UTC] pear at laurent-laville dot org
Hello,

I've just tested the new PHP 5.6.5RC1 and PHP 5.5.21RC1, and I've noticed that the version bundled of libsqlite is not the latest (corresponding to http://www.sqlite.org/changes.html). Actually its 2014-12-09 (3.8.7.4)

Is there a reason to bundle a previous version.

Actual results: On Windows platform with

PHP 5.6.5RC1  => 3.8.7.2
PHP 5.5.21RC1 => 3.8.7.2

PHP 5.6.4  => 3.8.4.3
PHP 5.5.20 => 3.8.4.3
PHP 5.4.36 => 3.7.7.1

Laurent
 [2015-01-14 14:21 UTC] ab@php.net
-Assigned To: +Assigned To: ab
 [2015-01-14 14:21 UTC] ab@php.net
Yes, 3.8.7.2 is the latest stable to the day of upgrading. There is a usual time gap between it and the release. Also we don't upgrade the bundled libs for every release, and not for 5.4 anymore except there were some security bugs.

Thanks.
 [2015-02-20 19:39 UTC] alejosimon at gmail dot com
-Status: Closed +Status: Assigned
 [2015-02-20 19:39 UTC] alejosimon at gmail dot com
Hello, why the php-dev has removed the comfortable as pdo_sqlite_external extension?

Now:
PHP 5.6.6     => 3.8.7.2
PHP 5.7.0-dev => 3.8.7.2 => is possible updated to recent release? (3.8.8.2)

thanks!
 [2015-03-21 17:30 UTC] alejosimon at gmail dot com
Hello!!! There is possibility to upgrade the bundled libsqlite to the latest version?

http://www.sqlite.org/changes.html

thanks!
 [2015-03-23 07:32 UTC] ab@php.net
@alejosimon, please don't extend tickets endlessly. Always create a new one instead.

Thanks.
 [2015-03-24 14:03 UTC] ab@php.net
-Status: Assigned +Status: Closed
 
PHP Copyright © 2001-2017 The PHP Group
All rights reserved.
Last updated: Tue Aug 29 15:01:52 2017 UTC